org.jfree.xml

## Class ElementDefinitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.jfree.xml.ParseException
        - - org.jfree.xml.ElementDefinitionException

All Implemented Interfaces:
  java.io.Serializable

    public class ElementDefinitionException
    extends ParseException

A reportdefinition exception is thrown when the parsing of the report definition failed because invalid or missing attributes are encountered.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ElementDefinitionException(java.lang.Exception e)` Creates a new ElementDefinitionException with an parent exception and with the parents message as explaination.
`ElementDefinitionException(java.lang.Exception e, org.xml.sax.Locator locator)` Creates a new ParseException with the given root exception and the locator.
`ElementDefinitionException(java.lang.Exception e, java.lang.String message)` Creates a new ElementDefinitionException with an parent exception and with the given message as explaination.
`ElementDefinitionException(java.lang.String message)` Creates a new ElementDefinitionException without an parent exception and with the given message as explanation.
`ElementDefinitionException(java.lang.String s, java.lang.Exception e, org.xml.sax.Locator locator)` Creates a new ParseException with the given message, root exception and the locator.
`ElementDefinitionException(java.lang.String message, org.xml.sax.Locator locator)` Creates a new ParseException with the given message and the locator.

### Method Summary

Methods
`java.lang.Exception` `getParentException()` Returns the parent exception.
`void` `printStackTrace(java.io.PrintStream s)` Prints the stack trace.
`void` `printStackTrace(java.io.PrintWriter s)` Prints the stack trace.

### Methods inherited from class org.jfree.xml.ParseException

`fillLocation, getColumn, getLine, getMessage, toString`

### Methods inherited from class org.xml.sax.SAXException

`getCause, getException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ElementDefinitionException

    public ElementDefinitionException(java.lang.String message)

Creates a new ElementDefinitionException without an parent exception and with the given message as explanation.

Parameters:
  `message` - a detail message explaining the reasons for this exception.

#### ElementDefinitionException

    public ElementDefinitionException(java.lang.Exception e)

Creates a new ElementDefinitionException with an parent exception and with the parents message as explaination.

Parameters:
  `e` - the parentException that caused this exception

#### ElementDefinitionException

    public ElementDefinitionException(java.lang.Exception e,
                              java.lang.String message)

Creates a new ElementDefinitionException with an parent exception and with the given message as explaination.

Parameters:
  `e` - the parentException that caused this exception
  `message` - a detail message explaining the reasons for this exception

#### ElementDefinitionException

    public ElementDefinitionException(java.lang.Exception e,
                              org.xml.sax.Locator locator)

Creates a new ParseException with the given root exception and the locator.

Parameters:
  `e` - the exception
  `locator` - the locator of the parser

#### ElementDefinitionException

    public ElementDefinitionException(java.lang.String message,
                              org.xml.sax.Locator locator)

Creates a new ParseException with the given message and the locator.

Parameters:
  `message` - the message
  `locator` - the locator of the parser

#### ElementDefinitionException

    public ElementDefinitionException(java.lang.String s,
                              java.lang.Exception e,
                              org.xml.sax.Locator locator)

Creates a new ParseException with the given message, root exception and the locator.

Parameters:
  `s` - the message
  `e` - the exception
  `locator` - the locator of the parser

### Method Detail

#### getParentException

    public java.lang.Exception getParentException()

Returns the parent exception.

Returns:
  the parent exception.

#### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

Prints the stack trace. If an inner exception exists, use its stack trace.

Overrides:
  `printStackTrace` in class `ParseException`
Parameters:
  `s` - the stream for writing to.

#### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

Prints the stack trace. If an inner exception exists, use its stack trace.

Overrides:
  `printStackTrace` in class `ParseException`
Parameters:
  `s` - the stream for writing to.